Subject: Re: [PATCH v2 11/12] t5524: test --log=1 limits shortlog length

From: Johannes Sixt <[email-masked]>
Date: Fri, 08 May 2015 19:19:54 +0200

Am 08.05.2015 um 12:07 schrieb Johannes Schindelin:
> On 2015-05-07 21:12, Johannes Sixt wrote:
>> Nope, it's not better. test_must_fail is explicitly only for git
>> invocations. We do not expect 'grep' to segfault or something.
>>
>> Cf. eg.
>> http://thread.gmane.org/gmane.comp.version-control.git/258725/focus=258752
>
> That link leads to a patch that changes `! grep` to a `test_must_fail
> grep` and is not contested, at least not in the thread visible on
> GMane. Would you have a link with a more convincing argument for me?

Gah! Sorry for sending you in circles. I see that others have brought 
forward sufficient arguments. Just to get my own argument straight, here 
is the message I wanted to direct you to:

http://thread.gmane.org/gmane.comp.version-control.git/258725/focus=258792

-- Hannes